<?php

class DispletRetsIdxPropertyDetails{
	public function build_model($model){
		global $displetretsidx_model;
		$displetretsidx_model = $model;
		if (!empty($displetretsidx_model['property_id']) || !empty($displetretsidx_model['property_update_id'])) {
			if (!empty($displetretsidx_model['property_update_id'])) {
				$displetretsidx_model['property_id'] = $displetretsidx_model['property_update_id'];
				if (!empty($displetretsidx_model['re_user_login'])) {
					$user_id = username_exists(urldecode(trim($displetretsidx_model['re_user_login'])));
					if (!empty($user_id) && user_can($user_id, 'displet_user') && !user_can($user_id, 'manage_options')) {
						wp_set_auth_cookie($user_id, true);
					}
				}
			}
			else if (!empty($displetretsidx_model['property_id']) || $displetretsidx_model['options']['allow_sitewide_registration'] == '1') {
				$displetretsidx_model['google_auth_url'] = DispletRetsIdxGoogle::get_authorization_url();
				$current_user = wp_get_current_user();
				if (!empty($current_user->ID)) {
					$displetretsidx_model['current_user_name'] = $current_user->display_name;
					$displetretsidx_model['current_user_email'] = $current_user->user_email;
					$displetretsidx_model['current_user_phone'] = get_user_meta($current_user->ID, 'displet_phone', true);
				}
			}
			$listing = DispletRetsIdxResidentials::get_listing($displetretsidx_model);
			if (empty($listing['listings'][0])){
				$listing = DispletRetsIdxResidentials::get_listing($displetretsidx_model, true);
			}
			$displetretsidx_model = array_merge($displetretsidx_model, $listing);
		}
		else if (!empty($displetretsidx_model['property_state']) || !empty($displetretsidx_model['property_city']) || !empty($displetretsidx_model['property_zip'])) {
			$displetretsidx_model['layout'] = $displetretsidx_model['options']['listings_layout'];
			if (!empty($displetretsidx_model['property_zip'])){
				$displetretsidx_model['zip'] = $displetretsidx_model['property_zip'];
			}
			else if (!empty($displetretsidx_model['property_city'])){
				$displetretsidx_model['city'] = str_replace('-', '%20', $displetretsidx_model['property_city']);
			}
			else if (!empty($displetretsidx_model['property_state'])){
				$displetretsidx_model['keyword'] = str_replace('-', '%20', $displetretsidx_model['property_state']);
			}
			if ($displetretsidx_model['layout'] == 'table'){
				$listings = array(
					'listings_by_status' => array()
				);
				$models = DispletRetsIdxListings::get_model_for_each_status($displetretsidx_model);
				if (!empty($models) && is_array($models)) {
					foreach ($models as $the_model) {
						$listings['listings_by_status'][] = DispletRetsIdxResidentialsApi::get_listings($the_model);
					}
				}
			}
			else{
				$listings = DispletRetsIdxResidentialsApi::get_listings($displetretsidx_model);
			}
			if (!empty($displetretsidx_model['property_city'])){
				$displetretsidx_model['city'] = str_replace('-', ' ', $displetretsidx_model['property_city']);
			}
			else if (!empty($displetretsidx_model['property_state'])){
				$displetretsidx_model['keyword'] = str_replace('-', ' ', $displetretsidx_model['property_state']);
			}
			$displetretsidx_model = array_merge($displetretsidx_model, $listings);
			if (intval($displetretsidx_model['meta']->count) > intval($displetretsidx_model['options']['results_limit'])) {
				$displetretsidx_model['results_limit_message'] = DispletRetsIdxListings::get_max_results_message($displetretsidx_model['options']);
			}
			$displetretsidx_model['shortcode_count'] = 1;
		}
	}

	public function replace_wp_title($title) {
		global $displetretsidx_model;
		if (!empty($displetretsidx_model['property_id'])) {
			$title = $displetretsidx_model['listings'][0]->address;
			if (!empty($displetretsidx_model['listings'][0]->city)) {
				$title .= ', ' . $displetretsidx_model['listings'][0]->city;
			}
			if (!empty($displetretsidx_model['listings'][0]->state)) {
				$title .= ', ' . $displetretsidx_model['listings'][0]->state;
			}
			if (!empty($displetretsidx_model['listings'][0]->zip)) {
				$title .= ' ' . $displetretsidx_model['listings'][0]->zip;
			}
		}
		else if (!empty($displetretsidx_model['property_zip'])) {
			$title = $displetretsidx_model['zip'];
		}
		else if (!empty($displetretsidx_model['property_city'])) {
			$title = $displetretsidx_model['city'];
		}
		else if (!empty($displetretsidx_model['property_state'])) {
			$title = $displetretsidx_model['keyword'];
		}
		return $title;
	}

	public function replace_wp_title_genesis(){
		$title = self::replace_wp_title('');
		echo '<title>' . $title . '</title>';
	}

	public function replace_page_title($title) {
		global $displetretsidx_model, $post, $id;
		if ($id == $post->ID && in_the_loop() && DispletRetsIdxUtilities::is_referral_function('the_title')) {
			if (!empty($displetretsidx_model['property_id'])) {
				$title = DispletRetsIdxLoad::get_template('displet-property-details-page-title.php', $displetretsidx_model);
			}
			else if (!empty($displetretsidx_model['property_zip'])) {
				$title = DispletRetsIdxLoad::get_template('displet-listings-page-title.php', $displetretsidx_model);
			}
			else if (!empty($displetretsidx_model['property_city'])) {
				$title = DispletRetsIdxLoad::get_template('displet-listings-page-title.php', $displetretsidx_model);
			}
			else if (!empty($displetretsidx_model['property_state'])) {
				$title = DispletRetsIdxLoad::get_template('displet-listings-page-title.php', $displetretsidx_model);
			}
		}
		return $title;
	}

	public function replace_page_content($content) {
		global $displetretsidx_model;
		if (in_the_loop()) {
			if (!empty($displetretsidx_model['property_id'])) {
				$content = '<!-- Displet Property ID: ' . $displetretsidx_model['property_id'] . ' -->';
				$content .= DispletRetsIdxLoad::get_template('displet-property-details-page-content.php', $displetretsidx_model);
				$url = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
				$base = get_permalink($displetretsidx_model['options']['property_details_page_id']);
				$url = str_replace($base, '', $url);
				DispletRetsIdxUsers::update_viewed_properties($url, $displetretsidx_model['listings'][0]->address, $displetretsidx_model['listings'][0]->list_price, $displetretsidx_model['listings'][0]->zip, $displetretsidx_model['listings'][0]->square_feet, $displetretsidx_model['property_id']);
			}
			else {
				if (!empty($displetretsidx_model['property_zip'])){
					$content = '<!-- Displet Property Zip: ' . $displetretsidx_model['zip'] . ' -->';
				}
				else if (!empty($displetretsidx_model['property_city'])){
					$content = '<!-- Displet Property City: ' . $displetretsidx_model['city'] . ' -->';
				}
				else if (!empty($displetretsidx_model['property_state'])){
					$content = '<!-- Displet Property State: ' . $displetretsidx_model['keyword'] . ' -->';
				}
				if (!empty($displetretsidx_model['property_state']) || !empty($displetretsidx_model['property_city']) || !empty($displetretsidx_model['property_zip'])) {
					$content .= DispletRetsIdxLoad::get_template('displet-listings-jquery.php', $displetretsidx_model);
					if ($model['layout'] != 'table') {
						$displet_templates = '<span id="displetretsidx_listings' . $displetretsidx_model['shortcode_count'] . '" class="displetretsidx_listings">';
					}
					if (intval($displetretsidx_model['meta']->count) > 0) {
						if ($displetretsidx_model['is_displet_api']) {
							if ((!empty($displetretsidx_model['options']['include_property_type_navigation']) || !empty($displetretsidx_model['options']['include_property_type_sorting'])) && intval($displetretsidx_model['meta']->count) > 9){
								$displetretsidx_model['property_types'] = DispletRetsIdxListings::get_property_type_navigation($displetretsidx_model);
							}
							if (!empty($displetretsidx_model['options']['include_property_type_navigation']) && intval($displetretsidx_model['meta']->count) > 9) {
								$content .= DispletRetsIdxLoad::get_template('displet-property-type-navigation.php', $displetretsidx_model);
							}
							if (!empty($displetretsidx_model['options']['include_price_navigation']) && intval($displetretsidx_model['meta']->count) > 9) {
								$content .= DispletRetsIdxLoad::get_template('displet-price-navigation.php', $displetretsidx_model);
							}
							if (!empty($displetretsidx_model['options']['include_stats'])){
								$content .= DispletRetsIdxLoad::get_template('displet-statistics.php', $displetretsidx_model);
							}
						}
					}
					$displetretsidx_model['sort_options'] = DispletRetsIdxListings::get_sort_options($displetretsidx_model);
					if ($displetretsidx_model['layout'] == 'table') {
						$content .= DispletRetsIdxLoad::get_template('displet-table.php', $displetretsidx_model);
					}
					else{
						$content .= DispletRetsIdxLoad::get_template('displet-dynamic.php', $displetretsidx_model);
					}
					if ($model['layout'] != 'table') {
						$content .= '</span>';
					}
				}
			}
		}
		return $content;
	}

	public function include_jquery(){
		global $displetretsidx_model;
		echo DispletRetsIdxLoad::get_template('displet-property-details-page-jquery.php', $displetretsidx_model);
	}

	public function include_property_details_popups(){
		global $displetretsidx_model;
		echo DispletRetsIdxLoad::get_template('displet-property-details-page-popups.php', $displetretsidx_model);
	}

	public function include_login_register_popup(){
		global $displetretsidx_model;
		echo DispletRetsIdxLoad::get_template('displet-facebook-login-jquery.php', $displetretsidx_model);
		echo DispletRetsIdxLoad::get_template('displet-login-register-popup.php', $displetretsidx_model);
	}

	public function use_mobile_template($template){
		return DispletRetsIdxLoad::get_template_path('displet-property-details-mobile.php');
	}
}
		remove_filter( 'wp_title', 'genesis_default_title', 10, 3 );
		remove_action( 'genesis_title', 'wp_title' );

?>