<?php

class DispletRetsIdxSearchResults{
	public function build_model($model){
		global $displetretsidx_model;
		$displetretsidx_model = $model;
		$displetretsidx_model['layout'] = $displetretsidx_model['options']['listings_layout'];
		if ($displetretsidx_model['layout'] == 'table') {
			$listings = array(
				'listings_by_status' => array()
			);
			$models = DispletRetsIdxListings::get_model_for_each_status($displetretsidx_model);
			if (!empty($models) && is_array($models)) {
				foreach ($models as $the_model) {
					$listings['listings_by_status'][] = DispletRetsIdxResidentialsApi::get_listings($the_model);
				}
			}
		}
		else{
			$listings = DispletRetsIdxResidentialsApi::get_listings($displetretsidx_model);
		}
		$displetretsidx_model = array_merge($displetretsidx_model, $listings);
		$displetretsidx_model['sort_options'] = DispletRetsIdxListings::get_sort_options($displetretsidx_model);
		if (intval($displetretsidx_model['meta']->count) > intval($displetretsidx_model['options']['results_limit'])) {
			$displetretsidx_model['results_limit_message'] = DispletRetsIdxListings::get_max_results_message($displetretsidx_model['options']);
		}
		$displetretsidx_model['shortcode_count'] = 1;
	}

	public function replace_page_content($content) {
		global $displetretsidx_model;
		if (in_the_loop()) {
			if ($displetretsidx_model['layout'] != 'table') {
				$content = '<span id="displetretsidx_listings' . $displetretsidx_model['shortcode_count'] . '" class="displetretsidx_listings">';
			}
			$content .= DispletRetsIdxLoad::get_template('displet-search-form.php', $displetretsidx_model);
			if ($displetretsidx_model['layout'] == 'table') {
				$content .= DispletRetsIdxLoad::get_template('displet-table.php', $displetretsidx_model);
			}
			else{
				$content .= DispletRetsIdxLoad::get_template('displet-dynamic.php', $displetretsidx_model);
			}
			if ($displetretsidx_model['layout'] != 'table'){
				$content .= '</span>';
			}
		}
		return $content;
	}

	public function include_jquery(){
		global $displetretsidx_model;
		echo DispletRetsIdxLoad::get_template('displet-listings-jquery.php', $displetretsidx_model);
	}

	public function include_save_search_popup(){
		global $displetretsidx_model;
		echo DispletRetsIdxLoad::get_template('displet-save-search-popup.php', $displetretsidx_model);
	}

	public function use_mobile_template($template){
		return DispletRetsIdxLoad::get_template_path('displet-search-results-mobile.php');
	}

	public function is_search_form_widget_area_used($i){
		// Wrapper needed for legacy DPC search form customizations
		return DispletRetsIdxSearchFormWidgets::is_search_form_widget_area_used($i);
	}

	public function is_advanced_search_form_widget_area_used($i){
		// Wrapper needed for legacy DPC search form customizations
		return DispletRetsIdxSearchFormWidgets::is_advanced_search_form_widget_area_used($i);
	}

	public function is_quick_search_form_column_used($form, $column){
		// Wrapper needed for legacy DPC quick search form customizations
		return DispletRetsIdxSearchFormWidgets::is_quick_search_form_column_used($form, $column);
	}
}

?>