<?php
	
	/***************************
	Available Variables:
	$model['options'] = array(); // All fields from settings/settings-page.php
	$model = array(
		'previous_page_url',
		'next_page_url',
	);
	$model['listings_by_status']['meta'] = (object)[
		'first',
		'last',
		'count',
		'limit',
		'page',
		'list_price_min',
		'list_price_max',
		'list_price_mean',
		'square_feet_min',
		'square_feet_max',
		'square_feet_mean'
	];
	$model['listings'][$i] = (object)[
		'address',
		'bathrooms',
		'city',
		'full_baths',
		'half_baths',
		'id',
		'image_urls',
		'internet_remarks',
		'latitude',
		'listing_office_name',
		'longitude',
		'mls_number',
		'num_bedrooms',
		'permalink',
		'property_type',
		'square_feet',
		'street_name',
		'street_number',
		'street_post_dir',
		'state',
		'subdivision',
		'year_built',
		'zip'
	];
	***************************/
	if (!empty($model['listings_by_status'])){
		foreach ($model['listings_by_status'] as $results){
			echo '<!-- Displet Query: ' . $results['query_url'] . ' -->';
		}
	}
?>
<div id="displet-table" class="displet-default-styles">
	<?php $i = 1; if (!empty($model['listings_by_status'])) : foreach ($model['listings_by_status'] as $results) : ?>
		<div id="displetretsidx_listings<?php echo $model['shortcode_count']; ?>_<?php echo $i; ?>" class="displet-table-view displetretsidx_listings">
			<select class="displet-listings-sortby displet-font-color-light" name="sort_by">
				<?php echo $model['sort_options']; ?>
			</select>
			<div class="displet-title">
				<?php echo $results['status']; ?>
			</div>
			<?php if (!empty($results['listings'])) : ?>
				<div id="displet-table-listings" class="displet-table">
					<div class="displet-tr">
						<div class="displet-td">
							Address
						</div>
						<?php if (!empty($model['options']['include_subdivision'])) : ?>
							<div class="displet-td">
								Subdivision
							</div>
						<?php endif; ?>
						<div class="displet-td">
							List Price
						</div>
						<div class="displet-td">
							Beds/Baths
						</div>
						<div class="displet-td">
							Sq Ft
						</div>
						<div class="displet-td">
							Year Built
						</div>
					</div>
					<div class="displet-tr"></div>
					<?php foreach ($results['listings'] as $listing) : ?>
						<a class="displet-tr <?php echo $listing->classes->table_view; ?>" href="<?php echo $listing->permalink; ?>">
							<div class="displet-td displet-address displet-address-value">
								<?php echo $listing->address; ?>
							</div>
							<?php if (!empty($model['options']['include_subdivision'])) : ?>
								<div class="displet-td displet-subdivision displet-subdivision-value">
									<?php echo $listing->subdivision; ?>
								</div>
							<?php endif; ?>
							<div class="displet-td displet-price">
								$
								<span class="displet-price-value">
									<?php if (!empty($listing->list_price)) echo number_format($listing->list_price); ?>
								</span>
							</div>
							<div class="displet-td">
								<span class="displet-beds displet-beds-value">
									<?php echo $listing->num_bedrooms; ?>
								</span>
								<span class="displet-baths"<?php if (empty($listing->num_bedrooms) || empty($listing->bathrooms)) echo ' style="display: none;"'; ?>>
									/
								</span>
								<span class="displet-baths displet-baths-value">
									<?php echo $listing->bathrooms; ?>
								</span>
							</div>
							<div class="displet-td displet-square-feet displet-square-feet-value">
								<?php if (!empty($listing->square_feet)) echo number_format($listing->square_feet); ?>
							</div>
							<div class="displet-td displet-year-built displet-year-built-value">
								<?php echo $listing->year_built; ?>
							</div>
							<div class="displet-td">
								<div class="displet-hover-container">
									<div class="displet-image-container">
										<div class="displet-image displet-image-value"<?php if ($listing->image_urls->primary_big) echo ' style="background-image: url(' . $listing->image_urls->primary_big . ');"'; ?>>
											<?php if ($listing->image_urls->primary_big) : ?>
												<img src="<?php echo $listing->image_urls->primary_big; ?>">
											<?php endif; ?>
										</div>
									</div>
									<div class="displet-details">
										View Details
									</div>
								</div>
							</div>
						</a>
					<?php endforeach; ?>
				</div>
			<?php endif; ?>
			<div class="displet-no-results"<?php if (!empty($results['listings'])) echo ' style="display: none;"'; ?>>
				No listings available.
			</div>
			<div class="displet-controls">
				<span class="displet-counts displet-font-color-light">
					<span class="displet-first-listings-value displet-font-color-light">
						<?php echo $results['meta']->first; ?>
					</span>
					&ndash;
					<span class="displet-last-listings-value displet-font-color-light">
						<?php echo $results['meta']->last; ?>
					</span>
					of
					<span class="displet-total-listings-value displet-font-color-light">
						<?php echo number_format(intval($results['meta']->count)); ?>
					</span>
				</span>
				<a href="<?php echo $results['previous_page_url']; ?>" class="displet-previous-listings-link displet-font-color"<?php if (intval($results['meta']->count) == intval($results['meta']->last) && !is_paged()) echo ' style="display: none;"'; ?>>
					Prev
				</a>
				<?php if (intval($results['meta']->count) != intval($results['meta']->last) || is_paged()) : ?>
					|
				<?php endif; ?>
				<a href="<?php echo $results['next_page_url']; ?>" class="displet-next-listings-link displet-font-color"<?php if (intval($results['meta']->count) == intval($results['meta']->last)) echo ' style="display: none;"'; ?>>
					Next
				</a>
				<div class="displet-clear"><!-- --></div>
			</div>
			<div class="displet-listings-loading" style="display: none;"><!-- --></div>
		</div>
	<?php $i++; endforeach; endif; ?>
</div>